Ubuntu安装perl模块步骤

Ubuntu安装perl模块步骤:

按装cpan:

$ sudo perl -MCPAN -e install Spiffy (用此命令第一次安装任意模块时都会先把cpan装上)

后面安装perl模块:

$ sudo cpan install DBI

验证是否安装成功

$ perl -e 'use DBI' (没报错即成功)

perl模块也可从网上下载好编译安装

下载网址:http://search.cpan.org/ (可搜索所有perl模块)

下载后安装步骤(以Spiffy为例)

$ tar zxfv Spiffy-0.40.tar.gz

$ cd Spiffy-0.40

$ perl Makefile.PL

$ make

$ sudo make install

安装后有可能需要拷下它的pm库

可以先locate一下路径

$ sudo locate Spiffy

$ sudo cp /root/perl5/lib/perl5/Spiffy.pm /usr/lib/perl5/

如XML-Parser库等需要将pm库前的目录也拷下

$ sudo locate XML/Parser.pm

$ sudo cp -r /root/perl5/lib/perl5/x86_64-linux-gnu-thread-multi/XML /usr/lib/perl5/

cpan Proxy authentication needed

解决辦法:

cpan

> o conf proxy_user ming\zhi.yang

> o conf proxy_pass 123456

> o conf commit

>q

本文出自 “linux” 博客,谢绝转载!

更多相关文章
  • perl -MCPAN -e shell cpan> instal DBI:mysql cpan -I DBI:mysql 本文出自 "[email protected]" 博客,请务必保留此出处http://liang3391.blog.51cto.com/17820 ...
  • 


    		    Ubuntu Linux下安装Eclipse PDT步骤
    Ubuntu linux下安装Eclipse PDT步骤 在Ubuntu Linux下进行PHP开发,首先可以安装搭建 LAMP 环境和 phpmyadmin 这个Mysql 数据库管理工具,之后选择一个FTP传工具如:Filezilla,最后我们还要选择PHP开发工具,Ubuntu自带的Gedit ...
  • Ubuntu安装pipelight步骤: # vi /etc/sudoers (需先在/etc/profile设置好代理http_proxy及https_proxy) Defaults env_keep="http_proxy" Defaults env_keep="h ...
  • Ubuntu安装crosstool-ng步骤: 注:crosstool-ng要求不能在root模式下操作 $ sudo apt-get install gawk $ sudo apt-get install libtool $ sudo apt-get install texinfo $ tar j ...
  • Ubuntu安装ccache步骤: $ sudo apt-get install ccache (安装ccache) 1.命令行启用ccache $vi ~/.bashrc export USE_CCACHE=1 :wq $ccache –M 50G 注:ccache默认存放目录为-/.ccache ...
  • 一.Expect模块安装 通过安装Perl的Expect模块可以方便的实现远程主机自动登入和执行命令的功能.由于Expect模块依赖于IO::Tty模块,所以要使用Expect模块需要安装这2个模块: (1)IO-Tty-1.10 (2)Expect-1.21 具体的安装模块很简单,和以前一样:pe ...
  • Linux下安装Perl和Perl的DBI模块
    今天在虚拟机测试shell脚本的时候,有些命令使用不了. 比如说 mysqlhotcopy ,它提示Perl的版本太低. 我用的 RedHat9 的Perl才5.8.0版本...(2002年以前的) 严重过时.所以重新安装了新版本的 Perl,过程记录如下:   1.在官方网站下载新版本的源码包: ...
  • 安装这个模块坎坷颇多 首先确认ubuntu源.. 我的版本是14.04.去找了官网的元替换source.list 然后 apt-get update 在用pip和easy_install安装LXML的时候会提示少两个包 ** make sure the development packages of ...
一周排行